{% extends 'AppBundle::layout.html.twig' %}

{% block content %}
    {{ form_start(form, {'attr': {'id': 'form_book_search'}}) }}
        <h4>Pretraga po parametrima</h4>
        {{ form_row(form.bookName, {'label' : 'Naziv knjige'}) }}
        {{ form_row(form.bookAuthor, {'label' : 'Pisac'}) }}
        {{ form_row(form.bookIsbn10, {'label' : 'ISBN10'}) }}
        {{ form_row(form.bookIsbn13, {'label' : 'ISBN13'}) }}
        <input id="filtriraj" type="submit" value="Filtriraj">
    {{ form_end(form) }}
    <div class="col-3-wrapper">
        {% for book in books %}
            <div class="col-3 white kartica">
                <a href="{{ path('AppBundle_Book_book', {'id': book.id}) }}">
                    <img src="{{ path('AppBundle_Book_cover', {'cover': book.cover}) }}" alt="Cover image" class="book"/>
                </a>                    
                <p id="demo"></p>
                <p>
                    Naziv knjige: {{ book.getBookName }}<br />
                    Pisac: {{ book.getBookAuthor }}<br />
                    ISBN 10: {{ book.getBookIsbn10 }}<br />
                    ISBN 13: {{ book.getBookIsbn13 }}<br />
                    <a href="https://www.amazon.com/dp/{{ book.getBookIsbn10 }}" target="_blank">
                        Poveznica do Amazon stranice
                    </a>
                </p>
            </div>
        {% else %}
            No books found.
        {% endfor %}
    </div>
{% endblock content %}

{% block inline_js %}
    <script src="{{ asset('js/clientSideValidation.js') }}"></script>
    <script type="text/javascript"></script>
{% endblock inline_js %}
